Bug 36296 - [Qt] LayoutTests/fast/canvas/arc360.html failed
Summary: [Qt] LayoutTests/fast/canvas/arc360.html failed
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P3 Normal
Assignee: qi
URL:
Keywords: Qt
Depends on:
Blocks:
 
Reported: 2010-03-18 08:41 PDT by qi
Modified: 2010-03-22 23:49 PDT (History)
3 users (show)

See Also:


Attachments
fix canvas arc function to enable LayoutTests/fast/canvas/arc360.html (34.07 KB, patch)
2010-03-18 10:48 PDT, qi
hausmann: review+
Details | Formatted Diff | Diff
More description on patch (34.12 KB, patch)
2010-03-22 08:05 PDT, qi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description qi 2010-03-18 08:41:02 PDT
QtLauncher fails on the following test case while Safari works.
  LayoutTests/fast/canvas/arc360.html
Comment 1 qi 2010-03-18 10:48:01 PDT
Created attachment 51047 [details]
fix canvas arc function to enable LayoutTests/fast/canvas/arc360.html

At HTLM5 spec (4.8.10.1.8 Complex shapes):
context . arc (x, y, radius, startAngle, endAngle, anticlockwise)
Adds points to the subpath such that the arc described by the circumference of the circle described by
the arguments, starting at the given start angle and ending at the given end angle, going in the given
direction, is added to the path, connected to the previous point by a straight line.
Throws an INDEX_SIZE_ERRp64 exception if the given radius is negative.

arc function should draw a line to previous point, not only the arc.
Comment 2 Simon Hausmann 2010-03-21 15:19:05 PDT
Comment on attachment 51047 [details]
fix canvas arc function to enable LayoutTests/fast/canvas/arc360.html

Please elaborate a little bit more in the ChangeLog when landing.
Comment 3 qi 2010-03-22 05:42:16 PDT
Thanks, I will do that.
Comment 4 Tor Arne Vestbø 2010-03-22 06:36:59 PDT
Bugs relating to the Qt port of WebKit should have the Qt keyword. See http://trac.webkit.org/wiki/QtWebKitBugs
Comment 5 qi 2010-03-22 08:05:53 PDT
Created attachment 51287 [details]
More description on patch

Based on comments, add more description on ChangeLog.
Comment 6 WebKit Commit Bot 2010-03-22 23:49:05 PDT
Comment on attachment 51287 [details]
More description on patch

Clearing flags on attachment: 51287

Committed r56382: <http://trac.webkit.org/changeset/56382>
Comment 7 WebKit Commit Bot 2010-03-22 23:49:10 PDT
All reviewed patches have been landed.  Closing bug.